---
title: Jakub Kristián Lukas
published: true
taxonomy:
    category: [bp2023]
    tag: [hatespeech]
    author: Daniel Hladek
---

rok začiatku štúdia: 2020

# Bakalárska práca 2023

Téma: Systém pre rozpoznávanie nenávistnej reči v online diskusiách

Súvisí s PhD prácou [Manohar Gowdru Shridhara](students/2021/manohar_gowdru_shridharu)

Návrh na zadanie: 

- Preštudovať teóriu.
- Zopakovať jednoduchý experiment pre rozpoznávanie nenávistnej reči v anglickom jazyku s pomocou frameworku HuggingFace transformers. 
- Vypracovať webové demo.




Stretnutie 29.9.

Stav:
- Oboznamili sme sa s projektom.

Úlohy:

- Zistiť ako funguje model BERT. Napísať o tom správu na 2 strany. Priložiť odkazy na odborné články.
- Nainštalovať si HuggingFace Transformers a vypracovať tutoriál. HF Transformers bude vyžadovať CUDA a Pytorch. Dostupné to je na školskom servri idoc.
    - Nainštalovať Anaconda
    - Nainštalovať Pytorch
    - nainštalujete transformers.
    - prejdide si tutoriál

Zásobník úloh:

- Vyskúšať a preštudovať tieto modely
    - https://huggingface.co/Hate-speech-CNERG/dehatebert-mono-english
    - https://huggingface.co/Narrativa/byt5-base-tweet-hate-detection
- Prečítať a napísať poznámky na jednu stranu.
    - https://arxiv.org/abs/2004.06465 
