---
title: Vladyslav Krupko
published: true
taxonomy:
    category: [bp2023]
    tag: [spelling]
    author: Daniel Hladek
---

rok začiatku štúdia: 2020

# Bakalárska práca 2023

Téma: Oprava preklepov v slovenskom jazyku.

Súvisiaca dizertačná práca [Maroš Harahus](/students/2016/maros_harahus).

Cieľ: 

- Naštudovať si problematiku opravy preklepov a napísať prehľad aktuálnych metód.
- Vykonať jednoduchý experiment na automatickú opravu preklepov pomocou neurónovej siete.
- Naprogramovať webovú demo aplikáciu.

Stretnutie 29.9.2022


Úlohy:

- Prečítajte si článok "Survey of Automatic Spelling Correction" a napíšte z neho poznámky na cca 2 strany.
- Prečítajte si článok Comparison of recurrent neural networks for slovak punctuation restoration.
- Zistite, ako funguje neurónový strojový preklad. Prečítajte si niekoľko blogov a napíšte si poznámky na jednu stranu, uveďte aj odkazy na články. Kľúčové slovíčko je enkóder-dekóder architektúra.
- Nainštalujte si systém Anaconda.
- Nainštalujte si knižnicu Pytorch
- Nainštalujte si systém Fairseq
- Prejdite si aspoň jeden fairseq tutoriál, napr. https://fairseq.readthedocs.io/en/latest/tutorial_simple_lstm.html


Zásobník úloh:

- Vybrať dáta a urobiť experiment.
- naprogramovať demo.




